HideMe = {}
HideMe.name = "HideMe"

local function Addon_Loaded(eventCode, addOnName)
	if (addOnName == HideMe.name) then
		--Hide player pin on map
		ZO_MapPin0:SetHidden(true)
		ZO_MapPin0.SetHidden = function()
		end
		--Disable "show player on map" keybind
		ZO_PreHook("ZO_WorldMap_PanToPlayer", function()
			return true
		end
		)
	end
	--Hide map pins in subZones (cities etc.)
	ZO_PreHook("IsMapLocationVisible", function()
		if GetParentZoneId ~= nil then
			local zoneId, subZoneId
			zoneId = GetParentZoneId ()
			if zoneId ~= nil then
				local zoneIndex = GetUnitZoneIndex("player")
				if zoneIndex ~= nil then
					subZoneId = GetZoneId(zoneIndex)
					if subZoneId ~= nil then return true end
				end
			end
		end
		return false
	end)
end
EVENT_MANAGER:RegisterForEvent(HideMe.name, EVENT_ADD_ON_LOADED, Addon_Loaded)